/**
*** Copyright (c) Equator Technologies, Inc. Unpublished
***
*** Equator Technologies, Inc.
*** Proprietary & Confidential
***
*** This source code and the algorithms implemented therein constitute
*** confidential information and may comprise trade secrets of Equator
*** or its associates, and any use thereof is subject to the terms and
*** conditions of the Non-Disclosure Agreement pursuant to which this
*** source code was originally received.
**/

#include <stdarg.h>
#include <linux/types.h>
#include <linux/string.h>

#include "iicdebug.h"

char szString[MAX_BYTES_SUPPORTED];

void 
iicprintf 
(
    char *pFormat, ...
)
{
    va_list arg;
    va_start(arg,pFormat);
    vsprintf(szString,pFormat,arg);
    va_end(arg);

    iicdebug_puts(szString);
} // iicprintf
